unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls;

type

  TForm1 = class(TForm)
    Panel1: TPanel;
    grabframe: TButton;
    buttonclose: TButton;
    procedure buttoncloseClick(Sender: TObject);
    procedure grabframeClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);

  private
    { Private declarations }
    hWndC : THandle;
  public
    { Public declarations }
  end;


var
  Form1: TForm1;


implementation

{$R *.DFM}
{functie uit avicap32.dll}
 function capCreateCaptureWindowA(lpszWindowName : PCHAR; dwStyle : longint;
           x : integer; y : integer; nWidth : integer; nHeight :integer;
            ParentWin : HWND; nId : integer)
            : HWND; STDCALL EXTERNAL 'AVICAP32.DLL';


{button om het programma te sluiten}
procedure TForm1.buttoncloseClick(Sender: TObject);
begin
  close();
end;

{functie om een frame te krijgen in panel1}
procedure TForm1.grabframeClick(Sender: TObject);
begin
  sendmessage(hWndC, WM_USER + 60,1,1);
end;

{als het form gecreeerd wordt zal er via de functie "capcreatecapturewindow"
contact met de driver gemaakt worden (via avicap32.dll)}
procedure TForm1.FormCreate(Sender: TObject);
begin
   hWndC := capCreateCaptureWindowA('My Own Capture Window', WS_CHILD
          or WS_VISIBLE , Panel1.Left, Panel1.Top, Panel1.Width, Panel1.Height,
          Form1.Handle, 0);
   if hWndC <> 0 then
     SendMessage(hWndC,WM_USER + 10, 0, 0); //WM_CAP_DRIVER_CONNECT

end;

{als het programma wordt gesloten wordt ook de connectie met de driver gesloten}
procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  SendMessage(hWndC,WM_USER + 11, 0, 0); //WM_CAP_DRIVER_DISCONNECT
end;

end.
